Rygel.DataSource.start – librygel-server Reference Manual

# start

## Description:

public abstract void start (HTTPSeek? offsets) throws `Error`

Start producing the data.

## Parameters:

offsets | optional limits of the stream for partial streaming

## Exceptions:

Error | if anything goes wrong while starting the stream. Throws DataSourceError.SEEK_FAILED if a seek method is not supported or the range is not fulfillable.